version: "3.7"
services:
    # REST API backend for SOSKE
  # skt-middleware:
  #   container_name: skt-middleware
  #   # image: node
  #   depends_on:
  #     - skt-db
  #   build:
  #     context: ./skt-middleware/
  #     dockerfile: Dockerfile
  #   environment:
  #     TZ: "Asia/Bangkok"
  #   restart: unless-stopped
  #   ports:
  #     - "3000:3000"
  #   volumes:
  #     - ./skt-middleware:/home/node/app
  #     - ./skt-middleware/node_modules:/home/node/app/node_modules
  #   command: node /home/node/app/index.js
  # MySQL Database
  skt-db:
    container_name: skt-db
    image: mysql:5.7.22
    environment:
      TZ: "Asia/Bangkok"
      MYSQL_USER: "elab"
      MYSQL_PASSWORD: "elabdbpass"
      MYSQL_DATABASE: "skt_maindb"
      MYSQL_ROOT_PASSWORD: "mysql20190611"
      MYSQL_ROOT_HOST: "%"
    ports:
      - "3306:3306"
    volumes:
      - ./skt-db/dump:/docker-entrypoint-initdb.d
      # - ./db/mysql-datadir:/var/lib/mysql # Default MySQL data directory
      - ./skt-db/config/custom.cnf:/etc/mysql/conf.d/custom.cnf # MySQL configuration file
    restart: unless-stopped

  # skt-nuxt:
  #   container_name: skt-nuxt
  #   depends_on:
  #     - skt-middleware
  #   # image: node
  #   build:
  #     context: ./skt-nuxt/
  #     dockerfile: Dockerfile
  #   environment:
  #     - API_URL_BROWSER=http://localhost:3000
  #   restart: unless-stopped
  #   ports:
  #     - "8080:8080"
  #   volumes:
  #     - ./skt-nuxt:/home/node/app
  #     - ./skt-nuxt/node_modules:/home/node/app/node_modules
  #   command: npm start --prefix /home/node/app/